Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451695 - Docs suggest log-output=/var/log/qpidd.log but this isn't writeable by user qpidd
Summary: Docs suggest log-output=/var/log/qpidd.log but this isn't writeable by user q...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Lana Brindley
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 18:40 UTC by Jeff Needle
Modified: 2013-10-23 23:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-14 05:19:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jeff Needle 2008-06-16 18:40:40 UTC
The Messaging Installation Guide, Chapter 3, section 2 suggests examples for
/etc/qpidd.conf including log-output=/var/log/qpidd.log.  This log file doesn't
exist, and user qpidd won't have the privileges to create it.  We should either
create it upon installation so user qpidd can write to it or change our docs. 
I'd recommend the former.  Also want to make sure that log rollover does the
right thing with respect to file ownership if we go in that direction.

If this is a docs change instead of a behavior change (i.e. direct people to use
/tmp or something), reassign to Lana.

Comment 1 Jeff Needle 2008-06-17 12:49:41 UTC
As Gordon pointed out to me, the default behavior for logging is to use syslog,
and that puts the messages in /var/log/messages.  We should just remove the
log-output= line from the example qpidd.conf file so as to not confuse people. 
If they want to explore the additional qpidd options, they can read the man page.

Comment 3 Jeff Needle 2008-07-17 20:38:26 UTC
This bug is no longer an issue in that review copy.


Note You need to log in before you can comment on or make changes to this bug.